#!/usr/bin/env python3
#
# Copyright (c) 2024 Stormux
# Copyright (c) 2010-2012 The Orca Team
# Copyright (c) 2012 Igalia, S.L.
# Copyright (c) 2005-2010 Sun Microsystems Inc.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the
# Free Software Foundation, Inc., Franklin Street, Fifth Floor,
# Boston MA  02110-1301 USA.
#
# Fork of Orca Screen Reader (GNOME)
# Original source: https://gitlab.gnome.org/GNOME/orca

"""Test of sayAll."""

from macaroon.playback import *
import utils

sequence = MacroSequence()

#sequence.append(WaitForDocLoad())
sequence.append(PauseAction(5000))

sequence.append(utils.StartRecordingAction())
sequence.append(KeyComboAction("KP_Add"))
sequence.append(utils.AssertPresentationAction(
    "1. KP_Add to do a SayAll",
    ["SPEECH OUTPUT: 'FAQ'",
     "SPEECH OUTPUT: 'heading level 1'",
     "SPEECH OUTPUT: 'Battery'",
     "SPEECH OUTPUT: 'heading level 2'",
     "SPEECH OUTPUT: 'Q. What's a battery?'",
     "SPEECH OUTPUT: 'link'",
     "SPEECH OUTPUT: 'Q. Which way is up?'",
     "SPEECH OUTPUT: 'link'",
     "SPEECH OUTPUT: 'Q. Why did Cthulhu used to get stuck on this page?'",
     "SPEECH OUTPUT: 'link'",
     "SPEECH OUTPUT: 'FOO'",
     "SPEECH OUTPUT: 'heading level 2'",
     "SPEECH OUTPUT: 'Q. Why would someone put a line break in a heading?'",
     "SPEECH OUTPUT: 'link'",
     "SPEECH OUTPUT: 'Q. What is the airspeed velocity of an unladen swallow?'",
     "SPEECH OUTPUT: 'link'",
     "SPEECH OUTPUT: 'Battery'",
     "SPEECH OUTPUT: 'heading level 2'",
     "SPEECH OUTPUT: 'Q. What is a battery?",
     "SPEECH OUTPUT: 'A.'",
     "SPEECH OUTPUT: 'Look it up.'",
     "SPEECH OUTPUT: 'Q. Which way is up?",
     "SPEECH OUTPUT: 'A.'",
     "SPEECH OUTPUT: 'That way.'",
     "SPEECH OUTPUT: 'Q. Why did Cthulhu used to get stuck on this page?",
     "SPEECH OUTPUT: 'A.'",
     "SPEECH OUTPUT: 'Empty anchors.'"]))

sequence.append(utils.AssertionSummaryAction())
sequence.start()
