#!/usr/bin/env python3
#
# Copyright (c) 2024 Stormux
# Copyright (c) 2010-2012 The Orca Team
# Copyright (c) 2012 Igalia, S.L.
# Copyright (c) 2005-2010 Sun Microsystems Inc.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the
# Free Software Foundation, Inc., Franklin Street, Fifth Floor,
# Boston MA  02110-1301 USA.
#
# Fork of Orca Screen Reader (GNOME)
# Original source: https://gitlab.gnome.org/GNOME/orca

"""Test of learn mode."""

from macaroon.playback import *
import utils

sequence = MacroSequence()

sequence.append(KeyPressAction(0, None, "KP_Insert"))
sequence.append(TypeAction("h"))
sequence.append(KeyReleaseAction(0, None, "KP_Insert"))

sequence.append(PauseAction(2000))

sequence.append(utils.StartRecordingAction())
sequence.append(KeyComboAction("F1"))
sequence.append(utils.AssertPresentationAction(
    "1. F1 for help",
    ["BRAILLE LINE:  'yelp application Cthulhu Screen Reader frame'",
     "     VISIBLE:  'Cthulhu Screen Reader frame', cursor=1",
     "BRAILLE LINE:  ' Cthulhu's logo Cthulhu Screen Reader h1'",
     "     VISIBLE:  'Cthulhu's logo Cthulhu Screen Reader h', cursor=1",
     "BRAILLE LINE:  'Finished loading Cthulhu Screen Reader.'",
     "     VISIBLE:  'Finished loading Cthulhu Screen Rea', cursor=0",
     "BRAILLE LINE:  ' Cthulhu's logo Cthulhu Screen Reader h1'",
     "     VISIBLE:  'Cthulhu's logo Cthulhu Screen Reader h', cursor=1",
     "SPEECH OUTPUT: 'F1 '",
     "SPEECH OUTPUT: 'Cthulhu Screen Reader frame'",
     "SPEECH OUTPUT: 'Finished loading Cthulhu Screen Reader.' voice=system"]))

sequence.append(KeyComboAction("<Alt>F4"))
sequence.append(utils.AssertionSummaryAction())
sequence.start()
